Bug 681297 - Broken link to (X)Emacs support file
Summary: Broken link to (X)Emacs support file
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: asymptote
Version: 14
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-01 17:42 UTC by Jerry James
Modified: 2011-03-17 18:52 UTC (History)
1 user (show)

Fixed In Version: asymptote-2.08-4.fc14
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-03-14 05:38:17 UTC


Attachments (Terms of Use)

Description Jerry James 2011-03-01 17:42:10 UTC
Description of problem:
Asymptote installs 2 symbolic links in the site-lisp/site-packages directories of both Emacs and XEmacs, asy-keywords.el and asy-mode.el, both referring to files of the same name in /usr/share/asymptote.  The latter exists, but the former (/usr/share/asy-keywords.el) does not.

Version-Release number of selected component (if applicable):
asymptote-2.04-1.fc14.x86_64

How reproducible:
Always

Steps to Reproduce:
1. ls -l /usr/share/emacs/site-lisp/asy*
2. ls -l /usr/share/xemacs/site-packages/lisp/asy*
  
Actual results:
A red asy-keywords.el link is displayed, indicating that the link is broken.

Expected results:
Either asy-keywords.el should be packaged in /usr/share/asymptote if it is part of the asymptote distribution, or the links should be removed if it is not.

Additional info:
The elisp files should be in separate subpackages as well; see https://fedoraproject.org/wiki/Packaging:Emacs.

Comment 1 Fedora Update System 2011-03-08 22:09:28 UTC
asymptote-2.08-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/asymptote-2.08-4.fc14

Comment 2 Fedora Update System 2011-03-08 22:09:44 UTC
asymptote-2.08-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/asymptote-2.08-4.fc15

Comment 3 Fedora Update System 2011-03-14 05:38:04 UTC
asymptote-2.08-4.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2011-03-17 18:52:29 UTC
asymptote-2.08-4.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.